Bug 190614 - CVE-2006-2162 nagios buffer overflow
Summary: CVE-2006-2162 nagios buffer overflow
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nagios (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mike McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: impact=moderate,source=vendorsec,repo...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-03 22:10 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 03:35:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2006-05-03 22:10:21 UTC
+++ This bug was initially created as a clone of Bug #190612 +++

Buffer overflow in CGI scripts in Nagios 1.x before 1.4 and 2.x before
2.3 allows remote attackers to execute arbitrary code via a negative
content length (Content-Length) HTTP header.

It should be noted that apache 2 will not allow this condition to happen.

https://sourceforge.net/mailarchive/forum.php?thread_id=10297806&forum_id=7890
http://www.nagios.org/development/changelog.php

Comment 1 Mike McGrath 2006-05-04 03:35:05 UTC
Thanks for the heads up.  I've sent the 2.3 update to buildsys and it should be
available soon.


Note You need to log in before you can comment on or make changes to this bug.